.invalid-feedback {
  display: block;
  width: 100%;
  margin-top: 0.25rem;
  font-size: .875em;
  color: #dc3545;
}

.select-code {
  /* border-radius: 12px; */
  border: 1px solid #ced4da;
  border-radius: 0.2rem !important;
}

.btn-custom {
  color: #fff;
  background-color: #23706a;
  border-color: #23706a;
}

.btn-custom:hover {
  color: #fff;
  background-color: #42b1a8;
  border-color: #42b1a8;
}

.btn-active {
  color: #fff;
  background-color: #23706a;
  border-color: #23706a;
}

.btn-active:hover {
  color: #fff;
  background-color: #42b1a8;
  border-color: #42b1a8;
}

/* .btn-inactive {
  color: #000;
  background-color: #fff;
  border-color: #000;
}

.btn-inactive:hover {
  color: #000;
  background-color: #f5f5f5;
  border-color: #f5f5f5;
} */

.swal2-modal .swal2-confirm {
  background-color: #23706a !important;
  font-size: .875rem !important;
}

.swal2-icon.swal2-question {
  border-color: #c9dae1 !important;
  color: #9fa9b1ff !important;
}

.breadcrumb-item>a {
  color: #349189;
}

.loader-overlay {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.139);
  /* Semi-transparent black background */
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999;
  /* Ensure loader appears on top of other content */
}

.input--file {
  position: relative;
  color: #7f7f7f;
  border-radius: 11px;
  border: 2px dashed #23706a;
  width: 150px;
  height: 150px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  cursor: pointer;
  margin-bottom: 20px;
  flex-direction: column;
  overflow: hidden;
}

.input--file img {
  width: 100%;
  height: 100%;
  /* object-fit: cover; */
  object-fit: fill;
  object-position: center center;
}

.input--file input[type="file"] {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  height: 100%;
  width: 100%;
}

button.action-button,
a.action-button {
  background: none;
  border: none;
  padding: 4px;
  /* keep small but visible padding */
  cursor: pointer;
  font-size: 1.2rem;
  color: #6c757d;
  transition: color 0.3s;
  display: inline-flex;
  /* ensures same alignment as button */
  align-items: center;
  justify-content: center;
}

.action-button.no-font {
  font-size: inherit;
  /* button will use normal text size */
}

/* .action-button {
  background: none;
  border: none;
  padding: 1;
  cursor: pointer;
  font-size: 1.2rem;
  color: #6c757d; 
  transition: color 0.3s; 
} */

.action-button:hover {
  color: #23706a;
}

.page-item.active .page-link {
  z-index: 3;
  color: #fff;
  background-color: #23706a;
  border-color: #23706a;
}

.form-check-input:checked {
  background-color: #23706a;
  border-color: #23706a;
}

#sidebar-menu>ul>li>a:active,
#sidebar-menu>ul>li>a:focus,
#sidebar-menu>ul>li>a:hover {
  color: #23706a;
  text-decoration: none;
}

body[data-sidebar-size=condensed] .left-side-menu #sidebar-menu>ul ul li:hover>.collapse>ul,
body[data-sidebar-size=condensed] .left-side-menu #sidebar-menu>ul ul li:hover>.collapsing>ul {
  display: block;
  left: 190px;
  margin-top: -36px;
  position: absolute;
  width: 215px !important;
}

/* body[data-sidebar-size=condensed] .left-side-menu #sidebar-menu>ul>li>a i {
  font-size: 1.3rem;
  margin-right: 20px;
  margin-left: 5px;
} */
#sidebar-menu>ul>li>a i.one-cls {
  font-size: 17px;
  /* Font size when one-cls class is present */
}

body[data-sidebar-size=condensed] .left-side-menu #sidebar-menu>ul>li>a i.one-cls {
  font-size: 1.2rem;
  margin-right: 20px;
  margin-left: 5px;
}

.search-input-list {
  width: 100%;
  padding: 8px;
  border: none;
  border-bottom: 1px solid #ced4da;;
  border-radius: 2px;
  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.search-input-list:focus {
  border-color: #80bdff;
  outline: 0;
  /* box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25); */
}

.table .table-user img {
  height: 45px;
  width: 45px;
}